LinHES - Feature # 755: idle.sh: Check for logins and windows

Status: Closed Priority: Normal

Author: chael Category: Other

Created: 01/30/2011 Assignee:

Updated: 08/09/2011 Due date: 08/31/2011

Description: As recommended at [[http://www.mythtv.org/wiki’/ACPI_Wakeup]], it would be helpful for the idle.sh script to

also check for logins. | made the necessary modifications to idle.sh (attached) and also added a check for
common windows (xterm and Firefox) as examples for individuals to tailor.

An additional script (xwin_find.sh, attached) is required to locate the windows.
These changes allow the machine to prevent shutdown if the user is actively using the machine outside of

MythTV. Are there any maintenance activities that depend on idle.sh which might be prevented from running?
| checked mythbackup and it's fine.

Associated revisions

08/08/2011 03:44 pm - mihanson
linhes-scripts: Add login check to idle.sh. Ref #755

08/08/2011 04:09 pm - mihanson
linhes-scripts: Fix typo in idle.sh Ref #755

08/09/2011 04:21 pm - mihanson
linhes-scripts: Add the window check to idle.sh. Closes #755

History

08/08/2011 03:53 pm - mihanson
- Estimated time set to 0.50

- Status changed from New to In Progress

- Due date changed from 01/10/2011 to 08/31/2011

08/09/2011 05:24 pm - mihanson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:631f3dc4b6c2de23cbdf151aad88cbbb824039be.

Files
idle.sh 3.2kB 01/30/2011 chael
xwin_find.sh 2 kB 01/30/2011 chael
